net.Receive("AnnounceMessage", function()
    local msg = net.ReadString()
    chat.AddText(Color(255, 0, 0), msg)
end)

local eventText = ""
local eventTime = 0

net.Receive("EventMessage", function()
    eventText = net.ReadString()
    eventTime = CurTime() + 5 -- show for 5 seconds
end)

function PLUGIN:HUDPaint()
    if CurTime() < eventTime then
        surface.SetFont("ixBigFont")
        local w, h = surface.GetTextSize(eventText)
        surface.SetTextColor(255, 255, 255)
        surface.SetTextPos(ScrW() / 2 - w / 2, 50)
        surface.DrawText(eventText)
    end
end
